## ros-jazzy-flexbe-testing 3.0.3

=== debian/changelog ===
ros-jazzy-flexbe-testing (3.0.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 05 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-testing (3.0.2-2bookworm) bookworm; urgency=high

  * flake8/pycodestyle cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 03 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-testing (3.0.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-jazzy-flexbe-testing (3.0.0-2bookworm) bookworm; urgency=high

  * update with state map and changes to concurrent handling
  * allow removing action clients and service callers

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-testing (2.3.4-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-testing (2.3.3-2bookworm) bookworm; urgency=high

  * update for change in yaml loading for Iron messages
  * subscriber state test still not functional

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-jazzy-flexbe-testing (2.3.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-testing (2.3.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-testing (2.3.0-2bookworm) bookworm; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-testing (2.2.0-2bookworm) bookworm; urgency=high

  * update to support pytest unittest cases via colcon test; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-flexbe-testing (2.1.0-2bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Update script_dir in setup.cfg
  * Use instance id for proxy subscribers
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-jazzy-flexbe-testing (2.0.0-2bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-jazzy-flexbe-testing (1.3.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-jazzy-flexbe-testing (1.3.0-2bookworm) bookworm; urgency=high

  * Merge pull request #132 <https://github.com/team-vigir/flexbe_behavior_engine/issues/132> from LoyVanBeek/feature/test_require_launch_file_success
    Optionally fail test if launch-file fails
  * Clear up logging for exiting processes
  * Check all launched nodes have exited
    And check they exit code to decide success/fail of launch file
  * Optionally fail test if launch-file fails
    If the launch-file in a FlexBE test fails, signal this to the TestContext that can then optionally fail due to this
    This allows to run scripts etc to verify State/Behavior side effects
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_testing] Add a behavior to the self-test
  * [flexbe_testing] Fix check of userdata output
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Loy van Beek, Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-jazzy-flexbe-testing (1.2.5-2bookworm) bookworm; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-jazzy-flexbe-testing (1.2.4-2bookworm) bookworm; urgency=high

  * Merge pull request #109 <https://github.com/team-vigir/flexbe_behavior_engine/issues/109> from Achllle/feature/testing/timeout_parameter
    Expose time-limit parameter from rostest
  * Merge pull request #108 <https://github.com/team-vigir/flexbe_behavior_engine/issues/108> from Achllle/fix/test_bagfile_topic
    Retry reading bag file messages without backslash in unit tests
  * Expose time-limit parameter from rostest
  * Ignore topic backslash when no messages are found that way
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * Remove explicit list construction where not required
  * python3 compatibility via 2to3
  * Contributors: Achille, Philipp Schillinger, fmessmer

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 24 Mar 2020 16:00:00 -0000

ros-jazzy-flexbe-testing (1.2.3-2bookworm) bookworm; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_testing] Remove deprecated state tester
  * [flexbe_testing] Allow specification of behavior name in test config
  * [flexbe_testing] Add support for behavior tests
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Merge pull request #94 <https://github.com/team-vigir/flexbe_behavior_engine/issues/94> from LoyVanBeek/feature/check_missing_testfile
    Fail test if provided test-yaml-file does not exist
  * Generate test results also when test file is missing

